KNSBookmarkExporter Class Reference

`#include <kbookmarkimporter_ns.h>`

## Public Member Functions

| KNSBookmarkExporter (KBookmarkManager *mgr, const QString &fileName)
void | write ()
void | write (bool utf8)

## Protected Member Functions

void | writeFolder (QTextStream &stream, KBookmarkGroup parent)

## Protected Attributes

QString | m_fileName
KBookmarkManager * | m_pManager

## Detailed Description

A class that exports all the current bookmarks to Netscape/Mozilla bookmarks Warning, it overwrites the existing bookmarks.html file !

Deprecated:

Definition at line 97 of file kbookmarkimporter_ns.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_ns.h
- kbookmarkimporter_ns.cc

KDE Home | KDE Accessibility Home | Description of Access Keys